## node-nodeunit 0.10.2

=== deps/ejs/Makefile ===

SRC = $(shell find lib -name "*.js" -type f)
UGLIFY_FLAGS = --no-mangle 

test:
	@./node_modules/.bin/expresso test/*.test.js

ejs.js: $(SRC)
	@node support/compile.js $^

ejs.min.js: ejs.js
	@uglifyjs $(UGLIFY_FLAGS) $< > $@ \
		&& du ejs.min.js \
		&& du ejs.js

clean:
	rm -f ejs.js
	rm -f ejs.min.js

.PHONY: test

=== debian/changelog ===
node-nodeunit (0.10.2-1) unstable; urgency=low

  * Initial release (Closes: #844307)

 -- Pirate Praveen <praveen@debian.org>  Mon, 14 Nov 2016 16:39:47 +0530

=== debian/control ===
Source: node-nodeunit
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-tap (>= 7.0.0)
 , node-should
Standards-Version: 3.9.8
Homepage: https://github.com/caolan/nodeunit#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-nodeunit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-nodeunit.git

Package: nodeunit
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-tap (>= 7.0.0)
Description: Easy unit testing for node.js and the browser.
 Simple syntax, powerful tools. Nodeunit provides easy async unit testing for
 node.js and the browser.
 .
  * Simple to use
  * Just export the tests from a module
  * Works with node.js and in the browser
  * Helps you avoid common pitfalls when testing asynchronous code
  * Easy to add test cases with setUp and tearDown functions if you wish
  * Flexible reporters for custom output, built-in support for HTML & jUnit XML
  * Allows the use of mocks and stubs
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
	nodejs ./bin/nodeunit

=== debian/tests/control ===
Tests: require
Depends: nodeunit

Test-Command: nodejs ./bin/nodeunit
Depends: @, node-tap, node-should

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/caolan/nodeunit
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/nodeunit .*=nodeunit-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-nodeunit 0.11.2+ds3

=== debian/changelog ===
node-nodeunit (0.11.2+ds3-2) unstable; urgency=medium

  * Team upload
  * Add node-async as depends

 -- Bastien Roucariès <rouca@debian.org>  Thu, 07 Jun 2018 14:47:40 +0200

node-nodeunit (0.11.2+ds3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Repack and use packaged version of async and assert
  * Use github homepage
  * Use git dpm for patching
  * Move to salsa

 -- Bastien Roucariès <rouca@debian.org>  Thu, 07 Jun 2018 10:26:48 +0200

=== debian/control ===
Source: node-nodeunit
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11)
 , dh-buildinfo
 , nodejs
 , node-tap (>= 7.0.0) <!nocheck>
 , node-should <!nocheck>
 , node-ejs (>= 2.5.2) <!nocheck>
 , node-async <!nocheck>
Standards-Version: 4.1.4
Homepage: https://github.com/caolan/nodeunit#readme
Vcs-Git: https://salsa.debian.org/js-team/node-nodeunit.git
Vcs-Browser: https://salsa.debian.org/js-team/node-nodeunit

Package: nodeunit
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-tap (>= 7.0.0)
 , node-ejs (>= 2.5.2)
 , node-async
Provides: node-nodeunit (= ${source:Version})
Description: Unit test framework for Node.js and the browser
 This package provides easy async unit testing
 for Node.js and the browser.
 .
 Particularly, this module:
  * Is simple to use,
  * Just exports the tests from a module,
  * Works with node.js and in the browser,
  * Helps you avoid common pitfalls when testing asynchronous code,
  * Allows one to easily add test cases with setUp and tearDown
    functions,
  * Adds flexible reporters for custom output, built-in support
    for HTML & jUnit XML,
  * Allows one to use mocks and stubs.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,20 @@
 %:
 	dh $@
 
-#override_dh_auto_build:
+override_dh_auto_clean:
+	rm -rf deps
+	dh_auto_clean
+
+override_dh_auto_build:
+#	mkdir -p deps
+#	ln -s /usr/lib/nodejs/async/index.js deps/async.js
+	dh_auto_build
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	nodejs ./bin/nodeunit
+else
+	@echo '**********************************************************'
+	@echo 'Skip test suite                                           '
+	@echo '**********************************************************'
+endif

=== debian/tests/control ===
Tests: require
Depends: nodeunit, nodejs (>= 6)

Test-Command: node ./bin/nodeunit
Depends: @, node-tap, node-should, nodejs (>= 6)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+ds3,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nodeunit-$1\.tar\.gz/ \
  https://github.com/caolan/nodeunit/tags .*/v?(\d\S+)\.tar\.gz

## node-nodeunit 0.11.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,26 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends:
- debhelper (>= 11)
- , dh-buildinfo
- , nodejs
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , node-async <!nocheck>
+ , node-ejs (>= 2.5.2) <!nocheck>
+ , node-should <!nocheck>
  , node-tap (>= 7.0.0) <!nocheck>
- , node-should <!nocheck>
- , node-ejs (>= 2.5.2) <!nocheck>
- , node-async <!nocheck>
-Standards-Version: 4.1.4
-Homepage: https://github.com/caolan/nodeunit#readme
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-nodeunit
 Vcs-Git: https://salsa.debian.org/js-team/node-nodeunit.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-nodeunit
+Homepage: https://github.com/caolan/nodeunit
+Testsuite: autopkgtest-pkg-nodejs
+Rules-Requires-Root: no
 
 Package: nodeunit
 Architecture: all
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
+ , node-async
+ , node-ejs (>= 2.5.2)
+ , node-tap (>= 7.0.0)
  , nodejs (>= 6)
- , node-tap (>= 7.0.0)
- , node-ejs (>= 2.5.2)
- , node-async
 Provides: node-nodeunit (= ${source:Version})
 Description: Unit test framework for Node.js and the browser
  This package provides easy async unit testing

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nodeunit-$1\.tar\.gz/ \
  https://github.com/caolan/nodeunit/tags .*/v?(\d\S+)\.tar\.gz

## node-nodeunit 0.11.3+ds

=== debian/changelog ===
node-nodeunit (0.11.3+ds-5~deb12u1) bookworm; urgency=medium

  * Patch: fix test flakyness. Closes: #1112339.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 28 Aug 2025 19:45:28 +0200

node-nodeunit (0.11.3+ds-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Randomize test port

 -- Yadd <yadd@debian.org>  Fri, 25 Nov 2022 13:46:27 +0100

node-nodeunit (0.11.3+ds-3) unstable; urgency=medium

  * Team upload
  * Drop __proto__ call

 -- Yadd <yadd@debian.org>  Wed, 14 Sep 2022 11:45:06 +0200

node-nodeunit (0.11.3+ds-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on node-ejs and node-tap.
    + nodeunit: Drop versioned constraint on node-ejs, node-tap and nodejs in
      Depends.

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Mon, 08 Nov 2021 12:43:05 +0100

node-nodeunit (0.11.3+ds-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use dh-sequence-nodejs auto test & install
  * New upstream version 0.11.3+ds3
  * Modernize debian/watch
  * New upstream version 0.11.3+ds
  * Refresh patches
  * Install CONTRIBUTING.md

 -- Xavier Guimard <yadd@debian.org>  Sat, 31 Oct 2020 20:25:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , node-async <!nocheck>
- , node-ejs (>= 2.5.2) <!nocheck>
+ , node-ejs <!nocheck>
  , node-should <!nocheck>
- , node-tap (>= 7.0.0) <!nocheck>
-Standards-Version: 4.5.0
+ , node-tap <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-nodeunit
 Vcs-Git: https://salsa.debian.org/js-team/node-nodeunit.git
 Homepage: https://github.com/caolan/nodeunit
@@ -20,9 +20,9 @@
 Architecture: all
 Depends: ${misc:Depends}
  , node-async
- , node-ejs (>= 2.5.2)
- , node-tap (>= 7.0.0)
- , nodejs (>= 6)
+ , node-ejs
+ , node-tap
+ , nodejs
 Provides: node-nodeunit (= ${source:Version})
 Description: Unit test framework for Node.js and the browser
  This package provides easy async unit testing

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.?(@ANY_VERSION@@ARCHIVE_EXT@)/nodeunit-$1/ \
  https://github.com/caolan/nodeunit/tags .*/v?(\d\S+)\.tar\.gz
